Subject: bug#7165: closed (Re: bug#7165: 24.0.50; rmail error "Invalid base64 data")

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Oct 2010 04:25:02 +0000

Your bug report

#7165: 24.0.50; rmail error "Invalid base64 data"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7165: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7165
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7165: 24.0.50; rmail error "Invalid base64 data"
From: Kenichi Handa <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Oct 2010 13:28:17 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

In article <[email-masked]>, Glenn Morris <[email-masked]> writes:

> Kenichi Handa wrote:
> > I suggest this patch (to emacs-23).

> If you are looking for feedback, this looks good to me.

Thank you for verifying it.  I've just committed it to emacs-23.

> > === modified file 'lisp/mail/rmail.el'
> > --- lisp/mail/rmail.el	2010-08-20 07:11:35 +0000
> > +++ lisp/mail/rmail.el	2010-10-06 07:22:53 +0000
> > @@ -2742,7 +2742,9 @@
> >  						 nil t 'unibyte)
> >  		  (message "Malformed MIME quoted-printable message")))
> >  	     ((and (string= character-coding "base64") is-text-message)
> > -	      (base64-decode-region (point-min) (point-max)))
> > +	      (condition-case err
> > +		  (base64-decode-region (point-min) (point-max))
> > +		(error (message "%s" (cdr err)))))
> >  	     ((eq character-coding 'uuencode)
> >  	      (error "uuencoded messages are not supported yet"))
> >  	     (t))

---
Kenichi Handa
[email-masked]

Subject: 24.0.50; rmail error "Invalid base64 data"
From: Kenichi Handa <[email-masked]>
To: [email-masked]
Date: Wed, 06 Oct 2010 16:26:32 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

While reading mails by rmail, I encountered "Invalid base64
data" error, and couldn't delete the message causing that
error.

This bug is very similar to bug#5441.  But unlike
mail-unquote-printable-region, base64-decode-region doesn't
have NOERROR arg and we have to use condition-case.  I
suggest this patch (to emacs-23).

=== modified file 'lisp/mail/rmail.el'
--- lisp/mail/rmail.el	2010-08-20 07:11:35 +0000
+++ lisp/mail/rmail.el	2010-10-06 07:22:53 +0000
@@ -2742,7 +2742,9 @@
 						 nil t 'unibyte)
 		  (message "Malformed MIME quoted-printable message")))
 	     ((and (string= character-coding "base64") is-text-message)
-	      (base64-decode-region (point-min) (point-max)))
+	      (condition-case err
+		  (base64-decode-region (point-min) (point-max))
+		(error (message "%s" (cdr err)))))
 	     ((eq character-coding 'uuencode)
 	      (error "uuencoded messages are not supported yet"))
 	     (t))

---
Kenichi Handa
[email-masked]